package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.StudentPaymentOrder;

import java.math.BigDecimal;

public class StudentGoodsSellDto extends StudentPaymentOrder {

    private String goodsJson;

    private String userName;

    private Integer authorUser;

    private BigDecimal totalAmount = BigDecimal.ZERO;

    private BigDecimal marketAmount = BigDecimal.ZERO;

    private Integer autoAffirmReceiveTime;

    public Integer getAutoAffirmReceiveTime() {
        return autoAffirmReceiveTime;
    }

    public void setAutoAffirmReceiveTime(Integer autoAffirmReceiveTime) {
        this.autoAffirmReceiveTime = autoAffirmReceiveTime;
    }

    public Integer getAuthorUser() {
        return authorUser;
    }

    public void setAuthorUser(Integer authorUser) {
        this.authorUser = authorUser;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getGoodsJson() {
        return goodsJson;
    }

    public void setGoodsJson(String goodsJson) {
        this.goodsJson = goodsJson;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public BigDecimal getMarketAmount() {
        return marketAmount;
    }

    public void setMarketAmount(BigDecimal marketAmount) {
        this.marketAmount = marketAmount;
    }
}
